import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
/**
 *  A bomb can be used to explode balloons. It will make an explosion that pops
 *  all the balloons that it touches.
 *  <p>
 *  
 *  The bombs are used by dragging them from their initial location and onto a 
 *  balloon. This will trigger the explosion. If the balloon is dragged to a 
 *  location with out a balloon it will return the bomb to its original 
 *  location.
 *  
 * @author Poul Henriksen
 */
public class Rocket extends Actor
{
    // The initial location of the bomb
    private int originalX;
    private int originalY;
    
    /**
     * Will store the initial location of the bomb.
     */
    public void addedToWorld(World world) {
        originalX = getX();
        originalY = getY();
    }

    /**
     * Check the mouse and make the bomb draggable.  
     *
     */  
    public void act() 
    { 
        setLocation(getX(), getY() -20);
        
        Actor Gegner1;
        Gegner1 = getOneObjectAtOffset(0, 0, Gegner1.class);
        if (Gegner1 != null)
        {

            explode();

        }
        
        
        if (getY()<1){
        getWorld().removeObject(this);
        }
    }    
    
    /**
     * Make an explosion.
     */
    private void explode() {
        WorldFly w;
        List balloons = getWorld().getObjects(Gegner1.class);
        
        getWorld().addObject(new Explosion(), getX(), getY());
        setLocation(0,1);
        //getWorld().removeObject(this);
    }
    
   
}
